%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: 	Online handwriting recognition system with machine learning
Name: 		zinnia
Version: 	0.06
Release: 	%mkrel 16
License: 	BSD
Group: 		System/Internationalization
Source: 	http://downloads.sourceforge.net/zinnia/%name-%version.tar.gz
Patch0:		zinnia-0.05-bindings.patch
URL: 		http://zinnia.sourceforge.net/
BuildRequires:	perl-devel
BuildRequires:	python-devel

%description
Zinnia is a simple, customizable, and portable, online handwriting
recognition system based on Support Vector Machines. Zinnia receives
user pen strokes as a sequence of coordinate data and outputs n-best
characters sorted by their SVM confidence. To keep portability, Zinnia
doesn't have any rendering functionality. In addition to recognition,
Zinnia provides a training module that allows one to create any hand-
writing recognition systems at low-cost.

%package -n %libname
Summary:	Libraries for %name
Group:		System/Internationalization

%description -n %libname
This package contains shared libraries for %name.

%package -n %develname
Summary:	Development files for %name
Group:		System/Internationalization
Requires:	%libname = %version
Requires:	pkgconfig
Provides:	%name-devel = %version-%release

%description -n %develname
This package contains development files for %name.

%package -n perl-%name
Summary:	Perl bindings for %name
Group:		Development/Perl
Requires:	%{name} = %{version}

%description -n perl-%name
This package contains perl bindings for %name.

%package -n python-%name
Summary:	Python bindings for %name
Group:		Development/Python
Requires:	%{name} = %{version}
Provides:	tegaki-engine

%description -n python-%name
This package contains python bindings for %name.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .bindings

%build
%configure2_5x --disable-static
%make

pushd perl
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} OPTIMIZE="%{optflags}"
popd

pushd python
CFLAGS="%{optflags} -I../" LDFLAGS="-L../.libs" python setup.py build
popd

%install
%makeinstall_std

pushd perl
%makeinstall_std
popd

pushd python
python setup.py install --root=%{buildroot}
popd

%files
%{_bindir}/*

%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %develname
%doc doc/*
%{_includedir}/*.h
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/%{name}.pc

%files -n perl-%name
%perl_vendorarch/auto/zinnia/zinnia.so
%perl_vendorarch/zinnia.pm

%files -n python-%name
%py_platsitedir/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.06-16.mga6
+ Revision: 1036658
- Rebuild for perl 5.22.2

* Sat Feb 13 2016 umeabot <umeabot> 0.06-15.mga6
+ Revision: 959356
- Mageia 6 Mass Rebuild

  + shlomif <shlomif>
    - Correct typos

* Sat Jun 27 2015 tv <tv> 0.06-14.mga6
+ Revision: 846147
- rebuild with soname-ified perl

* Tue Jun 23 2015 sander85 <sander85> 0.06-13.mga6
+ Revision: 841546
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.06-12.mga5
+ Revision: 746857
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.06-11.mga5
+ Revision: 730756
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.06-10.mga5
+ Revision: 690875
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.06-9.mga5
+ Revision: 631945
- Rebuild for perl 5.20
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.06-7.mga4
+ Revision: 544712
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.06-6.mga4
+ Revision: 500030
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed May 29 2013 fwang <fwang> 0.06-5.mga4
+ Revision: 430310
- rebuild for new perl

* Mon Jan 14 2013 umeabot <umeabot> 0.06-4.mga3
+ Revision: 387692
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.06-3.mga3
+ Revision: 251629
- perl 5.16 rebuild

* Sun Jun 12 2011 sander85 <sander85> 0.06-2.mga2
+ Revision: 105010
- Rebuild for perl 5.14

* Thu Apr 07 2011 tv <tv> 0.06-1.mga1
+ Revision: 81649
- imported package zinnia


* Tue Nov 02 2010 Funda Wang <fwang@mandriva.org> 0.06-1mdv2011.0
+ Revision: 592289
- add requires
- new version 0.06

* Thu Jul 22 2010 Jérôme Quelin <jquelin@mandriva.org> 0.05-2mdv2011.0
+ Revision: 556784
- perl 5.12 rebuild

* Thu Nov 19 2009 Jérôme Brenier <incubusss@mandriva.org> 0.05-1mdv2010.1
+ Revision: 467434
- new version 0.05
- rediff P0
- drop P1 (no more needed)
- requires : pkgconfig for the devel subpackage
- fix files section

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 0.02-3mdv2010.0
+ Revision: 446318
- rebuild

* Sun Feb 15 2009 Funda Wang <fwang@mandriva.org> 0.02-2mdv2009.1
+ Revision: 340609
- bump rel
- add bindings build

* Sun Feb 15 2009 Funda Wang <fwang@mandriva.org> 0.02-1mdv2009.1
+ Revision: 340500
- import zinnia


